Models
Get model asset credentials
Retrieves temporary credentials for accessing the storage backing the specified model version.
Queryparameters
api-version
string
vereist
The API version to use for this operation.
Koptekstparameters
Foundry-Features
enum
vereist
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Padparameters
name
string
vereist
Name of the model.
version
string
vereist
Version of the model.
Aanvraagbody
The credential request request body.
blobUri
string
vereist
Blob URI of the model asset to fetch credentials for.
Antwoorden
The request has succeeded.
Hoofdtekst
blobReference
BlobReference
vereist
Blob reference details.
blobUri
string
vereist
Blob URI path for client to upload data. Example: https://blob.windows.core.net/Container/Path
storageAccountArmId
string
vereist
ARM ID of the storage account to use.
credential
SasCredential
vereist
SAS Credential definition
sasUri
string
vereist
SAS uri
type
enum
vereist
Type of credential
Aanvraag
POST /models/{name}/versions/{version}/credentials HTTP/1.1
Respons
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json